Search found 194 matches

Go to advanced search

by davecoventry
Wed Apr 08, 2020 2:05 pm
Forum: Python scripting and macros
Topic: Accessing and setting the snapping mode.
Replies: 6
Views: 193

Re: Accessing and setting the snapping mode.

Thanks.

If I use the FreeCADGui.Snapper.snapToCenter() function, I need to provide the shape, I think?

It would be nice if the function could simply turn off the snaps except for the snapToCenter() one.
by davecoventry
Sat Apr 04, 2020 12:38 pm
Forum: Python scripting and macros
Topic: Accessing and setting the snapping mode.
Replies: 6
Views: 193

Re: Accessing and setting the snapping mode.

Does anyone know how to manipulate the snapping modes?

Thanks.
by davecoventry
Fri Apr 03, 2020 10:52 am
Forum: Python scripting and macros
Topic: Accessing and setting the snapping mode.
Replies: 6
Views: 193

Re: Accessing and setting the snapping mode.

Very likely.

However, the arc is part of a wire with multiple fillets.

I might just look at that approach, though.

Thanks for the help!
by davecoventry
Fri Apr 03, 2020 8:56 am
Forum: Python scripting and macros
Topic: Accessing and setting the snapping mode.
Replies: 6
Views: 193

Accessing and setting the snapping mode.

I want the user to pick the centre point of an arc in my script.

How can I save the current snapping point configuration, set the snapping to centre point only and then restore the snapping configuration to what it was?
by davecoventry
Mon Mar 02, 2020 5:27 pm
Forum: Python scripting and macros
Topic: Generating a wire from a series of lines and arcs.
Replies: 5
Views: 218

Re: Generating a wire from a series of lines and arcs.

Thanks, Carlo.

That would take care of the lines, but what about the arcs?
by davecoventry
Fri Feb 28, 2020 9:58 am
Forum: Python scripting and macros
Topic: Editable parameters for Box generated from a script?
Replies: 3
Views: 141

Editable parameters for Box generated from a script?

Hi. If I generate a cube from a python script, the box cannot be edited subsequently. boxShape=Part.makeBox(dp,wid,ht,Base.Vector(instion[0],instion[1],instion[2]),Base.Vector(0,0,1)) myObj = FreeCAD.ActiveDocument.addObject("Part::Feature","Box") myObj.Shape = boxShape Can I create a cube so that t...
by davecoventry
Wed Feb 26, 2020 9:05 pm
Forum: Python scripting and macros
Topic: Generating a wire from a series of lines and arcs.
Replies: 5
Views: 218

Generating a wire from a series of lines and arcs.

I have an AutoCAD drawing from which I have generated a series of lines ans arcs from a polyline using Autolisp. I want to use these to generate a wire/face to extrude. Here is a little of my pseudo code: elements=[] Vt1=Base.Vector(v1,0,v2) Vt2=Base.Vector(v3,0,v4) Vt3=Base.Vector(v5,0,v6) Vt4=Base...
by davecoventry
Mon Feb 03, 2020 1:01 pm
Forum: Open discussion
Topic: Temp directory for recovery files.
Replies: 6
Views: 217

Re: Temp directory for recoventry files.

chrisb wrote:
Mon Feb 03, 2020 9:34 am
Similar on MacOS. I had some sudden system dropouts due to power failure, and everything was lost.

Besides, considering your name: funny typo in the topic title.
:lol:

Probably habit taking over in my typing.

Go to advanced search